1

I have been having some issues with installing gephi recently on Trusty. The following are in my repository:

http://ppa.launchpad.net/rockclimb/gephi-testing/ubuntu trusty main
http://ppa.launchpad.net/webupd8team/java/ubuntu trusty main

When I

sudo apt-get install gephi

I get

The following packages have unmet dependencies:
 gephi : Depends: libgoogle-collections-java but it is not installable

When I tried to look for the package, it says that the repo is no longer being updated. I then managed to find an old copy of the package here:

https://packages.debian.org/source/wheezy/libgoogle-collections-java

But for some reason when i tried to install it using: tar -zxvf 'tarball'

Nothing seems to be happening. Does anyone know what I am missing?

Edit: The splash screen appears, and gehpi seems to try to initialize. However it seems to fail and stop after a while.

0

The way to fix this is to go to:

sudo gedit /etc/environment

and add:

JAVA_HOME="/usr/lib/jvm/java-7-oracle/jre/bin/java"

Then run the script normally

./bin/gephi
0

(copied from my Gist at https://gist.github.com/dcht00/432caaf3e6c50a2202b8)

This did it for me on Trusty 14.04:

# Edit the sources file and add this to end:
# deb http://ppa.launchpad.net/rockclimb/gephi-daily/ubuntu precise main
sudo joe /etc/apt/sources.list

# You can't just install gephi because it's missing libgoogle-collections-java
# And that one's not packaged with Ubuntu anymore as of Trusty at least

# Download all three files to a temp folder:
# https://packages.debian.org/source/wheezy/libgoogle-collections-java

# Attempt to extract a source package
dpkg-source -x *.dsc

# DOES NOT WORK, NEED KEYS FIRST
gpg --keyserver keyserver.ubuntu.com --recv-keys 974B3E96

# OK, again...
dpkg-source -x *.dsc

# Now try to build package.
cd libgoogle-collections-java-1.0/
dpkg-buildpackage -us -uc

# Fail, needs dependencies
apt-get install maven-repo-helper maven-ant-helper cdbs
dpkg-buildpackage -us -uc

# This builds an actual .deb in folder above.
cd ..
sudo dpkg -i libgoogle-collections-java_1.0-2_all.deb

# Now install gephi.
sudo apt-get update; sudo apt-get install gephi

# Done
0

I had a similar problem in 14.04 Trusty and none of the suggestions worked for me. I ended up getting it working this way:

sudo gedit /etc/apt/sources.list

and add the following two lines:

deb http://ppa.launchpad.net/rockclimb/gephi-daily/ubuntu precise main
deb http://us.archive.ubuntu.com/ubuntu precise main universe

then do:

sudo apt-get install libgoogle-collections-java gephi

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.